//
//  ComplimentPillView.swift
//
//
//  Created by Victor on 31/07/2024.
//

import SwiftUI

struct ComplimentPillView: View {
    var body: some View {
        HStack(spacing: 4) {
            VStack {
                SQIcon(.gen_euro_sign, size: .s, color: .sqGreen(100))
            }
            .padding(3)
            .frame(width: 32, height: 32, alignment: .center)
            .background(Color.sqGreen(10))
            .cornerRadius(32)
            SQText("Excellent rapport qualité/prix", size: 12, font: .demiBold)
        }
        .padding(.leading, 1)
        .padding(.trailing, 16)
        .padding(.vertical, 1)
        .cornerRadius(40)
        .overlay(
            RoundedRectangle(cornerRadius: 40)
                .inset(by: 0.5)
                .stroke(Color.sqNeutral(20), lineWidth: 1)
        )
    }
}

#Preview {
    ComplimentPillView()
}
